Ubuntu

Activity log for bug #1035261

Date Who What changed Old value New value Message
2012-08-10 10:49:04 Didier Roche bug added bug
2012-08-10 10:49:14 Didier Roche bug task added compiz (Ubuntu)
2012-08-10 10:49:19 Didier Roche bug task added unity (Ubuntu)
2012-08-10 10:49:28 Didier Roche bug task added gnome-session (Ubuntu)
2012-08-10 10:49:36 Didier Roche bug task added unity-2d (Ubuntu)
2012-08-10 10:49:43 Didier Roche bug task added gnome-settings-daemon (Ubuntu)
2012-08-10 10:49:54 Didier Roche bug task added metacity (Ubuntu)
2012-08-10 10:50:42 Didier Roche bug task added lightdm (Ubuntu)
2012-08-10 10:50:49 Didier Roche bug task added unity-greeter (Ubuntu)
2012-08-10 10:51:27 Didier Roche bug task added ubuntu-release-upgrader (Ubuntu)
2012-08-10 10:51:52 Didier Roche compiz (Ubuntu): status New In Progress
2012-08-10 10:52:07 Didier Roche gnome-control-center (Ubuntu): status New Fix Committed
2012-08-10 10:52:19 Didier Roche gnome-session (Ubuntu): status New Fix Committed
2012-08-10 10:52:36 Didier Roche lightdm (Ubuntu): status New Fix Committed
2012-08-10 10:52:47 Didier Roche ubuntu-release-upgrader (Ubuntu): status New Fix Committed
2012-08-10 10:53:07 Didier Roche unity (Ubuntu): status New In Progress
2012-08-10 10:53:21 Didier Roche unity-greeter (Ubuntu): status New Fix Committed
2012-08-10 10:54:20 Didier Roche description Porting compiz and so unity to gsettings has a lot of consequences: - compiz with gsettings support: INPROGRESS - unity with gconf -> gsettings patches: INPROGRESS - gnome-control-center: * should be ported in both the keyboard part by reverting the gsettings revert patch: READY * in the unity background configuration panels to support gsettings: READY * in the display configuration panels to support gsettings: READY - gnome-settings-daemon to drop the gsettings revert patch: - metacity should be updated to >> 2.34.2 (gsettings integration, shared with compiz) -> this forces us to drop a lot of patches to make unity-2d running: - consequently, dropping unity-2d because of metacity patches won't be ported, and unity-2d isn't maintained to port from gconf to gsettings:. Removal from the archive: - lightdm to transition people from unity-2d to unity-3d session: READY - unity-greeter to drop hardware detection capability for nux: READY - gnome-session to drop the unity-2d session: READY - release-upgrader in precise to detect if the card can't run unity-3d, and if so, show a warning to tell to stay on the LTS: READY People forcing the upgrade or installing on a machine without hardware acceleration will then use unity with llvmpipe. Porting compiz and so unity to gsettings has a lot of consequences: - compiz with gsettings support - unity with gconf -> gsettings patches - gnome-control-center:  * should be ported in both the keyboard part by reverting the gsettings revert patch  * in the unity background configuration panels to support gsettings  * in the display configuration panels to support gsettings - gnome-settings-daemon to drop the gsettings revert patch: - metacity should be updated to >> 2.34.2 (gsettings integration, shared with compiz). Sync back with debian, demote to universe -> this forces us to drop a lot of patches to make unity-2d running - consequently, dropping unity-2d because of metacity patches won't be ported, and unity-2d isn't maintained to port from gconf to gsettings:. Removal from the archive - lightdm to transition people from unity-2d to unity-3d session - unity-greeter to drop hardware detection capability for nux - gnome-session to drop the unity-2d session - release-upgrader in precise to detect if the card can't run unity-3d, and if so, show a warning to tell to stay on the LTS People forcing the upgrade or installing on a machine without hardware acceleration will then use unity with llvmpipe.
2012-08-10 14:01:45 Didier Roche gnome-settings-daemon (Ubuntu): status New Fix Committed
2012-08-10 14:02:00 Didier Roche metacity (Ubuntu): status New Fix Committed
2012-08-10 14:03:14 Launchpad Janitor branch linked lp:~ubuntu-desktop/gnome-session/ubuntu
2012-08-10 14:04:07 Launchpad Janitor branch linked lp:~ubuntu-desktop/unity-greeter/ubuntu
2012-08-10 14:04:28 Launchpad Janitor branch linked lp:~ubuntu-desktop/lightdm/ubuntu
2012-08-10 15:03:25 Didier Roche description Porting compiz and so unity to gsettings has a lot of consequences: - compiz with gsettings support - unity with gconf -> gsettings patches - gnome-control-center:  * should be ported in both the keyboard part by reverting the gsettings revert patch  * in the unity background configuration panels to support gsettings  * in the display configuration panels to support gsettings - gnome-settings-daemon to drop the gsettings revert patch: - metacity should be updated to >> 2.34.2 (gsettings integration, shared with compiz). Sync back with debian, demote to universe -> this forces us to drop a lot of patches to make unity-2d running - consequently, dropping unity-2d because of metacity patches won't be ported, and unity-2d isn't maintained to port from gconf to gsettings:. Removal from the archive - lightdm to transition people from unity-2d to unity-3d session - unity-greeter to drop hardware detection capability for nux - gnome-session to drop the unity-2d session - release-upgrader in precise to detect if the card can't run unity-3d, and if so, show a warning to tell to stay on the LTS People forcing the upgrade or installing on a machine without hardware acceleration will then use unity with llvmpipe. Porting compiz and so unity to gsettings has a lot of consequences: - compiz: * build with gsettings support * add migration scripts - unity : * gconf -> gsettings patches (2) * rebuild with the new gsettings compiz * add transitional packages for all unity-2d packages * add migration scripts - gnome-control-center:  * should be ported in both the keyboard part by reverting the gsettings revert patch  * in the unity background configuration panels to support gsettings  * in the display configuration panels to support gsettings - gnome-settings-daemon to drop the gsettings revert patch: - metacity should be updated to >> 2.34.2 (gsettings integration, shared with compiz). Sync back with debian, demote to universe -> this forces us to drop a lot of patches to make unity-2d running - consequently, dropping unity-2d because of metacity patches won't be ported, and unity-2d isn't maintained to port from gconf to gsettings:. Removal from the archive - lightdm to transition people from unity-2d to unity-3d session - unity-greeter to drop hardware detection capability for nux - gnome-session to drop the unity-2d session - release-upgrader in precise to detect if the card can't run unity-3d, and if so, show a warning to tell to stay on the LTS People forcing the upgrade or installing on a machine without hardware acceleration will then use unity with llvmpipe.
2012-08-10 15:53:01 Omer Akram compiz (Ubuntu): importance Undecided High
2012-08-10 15:53:15 Omer Akram unity (Ubuntu): importance Undecided High
2012-08-10 16:53:55 Jason Conti bug added subscriber Jason Conti
2012-08-11 12:45:15 Sam Spilsbury bug task added compiz
2012-08-11 12:45:42 Sam Spilsbury compiz: importance Undecided High
2012-08-11 12:45:42 Sam Spilsbury compiz: status New Confirmed
2012-08-11 12:45:42 Sam Spilsbury compiz: milestone 0.9.8.0
2012-08-11 12:46:17 Sam Spilsbury branch linked lp:~compiz-team/compiz/compiz.ccs_gsettings_conformance_test
2012-08-13 04:40:53 Edward Donovan bug added subscriber Edward Donovan
2012-08-14 00:52:44 Adolfo Jayme bug added subscriber Adolfo Jayme Barrientos
2012-08-14 12:00:13 Didier Roche description Porting compiz and so unity to gsettings has a lot of consequences: - compiz: * build with gsettings support * add migration scripts - unity : * gconf -> gsettings patches (2) * rebuild with the new gsettings compiz * add transitional packages for all unity-2d packages * add migration scripts - gnome-control-center:  * should be ported in both the keyboard part by reverting the gsettings revert patch  * in the unity background configuration panels to support gsettings  * in the display configuration panels to support gsettings - gnome-settings-daemon to drop the gsettings revert patch: - metacity should be updated to >> 2.34.2 (gsettings integration, shared with compiz). Sync back with debian, demote to universe -> this forces us to drop a lot of patches to make unity-2d running - consequently, dropping unity-2d because of metacity patches won't be ported, and unity-2d isn't maintained to port from gconf to gsettings:. Removal from the archive - lightdm to transition people from unity-2d to unity-3d session - unity-greeter to drop hardware detection capability for nux - gnome-session to drop the unity-2d session - release-upgrader in precise to detect if the card can't run unity-3d, and if so, show a warning to tell to stay on the LTS People forcing the upgrade or installing on a machine without hardware acceleration will then use unity with llvmpipe. Porting compiz and so unity to gsettings has a lot of consequences: - compiz:   * build with gsettings support   * add migration scripts - unity :   * gconf -> gsettings patches (2)   * rebuild with the new gsettings compiz   * add transitional packages for all unity-2d packages   * add migration scripts - gnome-control-center:  * should be ported in both the keyboard part by reverting the gsettings revert patch  * in the unity background configuration panels to support gsettings  * in the display configuration panels to support gsettings - gnome-settings-daemon to drop the gsettings revert patch: - metacity should be updated to >> 2.34.2 (gsettings integration, shared with compiz). Sync back with debian, demote to universe -> this forces us to drop a lot of patches to make unity-2d running - consequently, dropping unity-2d because of metacity patches won't be ported, and unity-2d isn't maintained to port from gconf to gsettings:. Removal from the archive - lightdm to transition people from unity-2d to unity-3d session - unity-greeter to drop hardware detection capability for nux - gnome-session to drop the unity-2d session and recommends - release-upgrader in precise to detect if the card can't run unity-3d, and if so, show a warning to tell to stay on the LTS - ubuntu-desktop seed to remove dep on unity-2d People forcing the upgrade or installing on a machine without hardware acceleration will then use unity with llvmpipe.
2012-08-14 12:00:29 Didier Roche bug task added ubuntu-meta (Ubuntu)
2012-08-15 06:28:29 Didier Roche description Porting compiz and so unity to gsettings has a lot of consequences: - compiz:   * build with gsettings support   * add migration scripts - unity :   * gconf -> gsettings patches (2)   * rebuild with the new gsettings compiz   * add transitional packages for all unity-2d packages   * add migration scripts - gnome-control-center:  * should be ported in both the keyboard part by reverting the gsettings revert patch  * in the unity background configuration panels to support gsettings  * in the display configuration panels to support gsettings - gnome-settings-daemon to drop the gsettings revert patch: - metacity should be updated to >> 2.34.2 (gsettings integration, shared with compiz). Sync back with debian, demote to universe -> this forces us to drop a lot of patches to make unity-2d running - consequently, dropping unity-2d because of metacity patches won't be ported, and unity-2d isn't maintained to port from gconf to gsettings:. Removal from the archive - lightdm to transition people from unity-2d to unity-3d session - unity-greeter to drop hardware detection capability for nux - gnome-session to drop the unity-2d session and recommends - release-upgrader in precise to detect if the card can't run unity-3d, and if so, show a warning to tell to stay on the LTS - ubuntu-desktop seed to remove dep on unity-2d People forcing the upgrade or installing on a machine without hardware acceleration will then use unity with llvmpipe. Porting compiz and so unity to gsettings has a lot of consequences: - compiz:   * build with gsettings support   * add migration scripts - unity :   * gconf -> gsettings patches (2)   * rebuild with the new gsettings compiz   * add transitional packages for all unity-2d packages   * add migration scripts - nux: * remove the X11 Xsession.d detection script - gnome-control-center:  * should be ported in both the keyboard part by reverting the gsettings revert patch  * in the unity background configuration panels to support gsettings  * in the display configuration panels to support gsettings - gnome-settings-daemon to drop the gsettings revert patch: - metacity should be updated to >> 2.34.2 (gsettings integration, shared with compiz). Sync back with debian, demote to universe -> this forces us to drop a lot of patches to make unity-2d running - consequently, dropping unity-2d because of metacity patches won't be ported, and unity-2d isn't maintained to port from gconf to gsettings:. Removal from the archive - lightdm to transition people from unity-2d to unity-3d session - unity-greeter to drop hardware detection capability for nux - gnome-session to drop the unity-2d session and recommends - release-upgrader in precise to detect if the card can't run unity-3d, and if so, show a warning to tell to stay on the LTS - ubuntu-desktop seed to remove dep on unity-2d People forcing the upgrade or installing on a machine without hardware acceleration will then use unity with llvmpipe.
2012-08-15 06:28:58 Didier Roche bug task added nux (Ubuntu)
2012-08-15 06:32:04 Launchpad Janitor branch linked lp:ubuntu/nux
2012-08-15 06:40:42 Launchpad Janitor nux (Ubuntu): status New Fix Released
2012-08-15 06:40:53 Launchpad Janitor unity-greeter (Ubuntu): status Fix Committed Fix Released
2012-08-15 06:45:42 Launchpad Janitor lightdm (Ubuntu): status Fix Committed Fix Released
2012-08-15 06:50:41 Launchpad Janitor gnome-session (Ubuntu): status Fix Committed Fix Released
2012-08-15 06:57:19 Launchpad Janitor branch linked lp:ubuntu/unity
2012-08-15 07:00:39 Launchpad Janitor unity (Ubuntu): status In Progress Fix Released
2012-08-15 07:20:38 Launchpad Janitor ubuntu-meta (Ubuntu): status New Fix Released
2012-08-15 07:22:19 Didier Roche description Porting compiz and so unity to gsettings has a lot of consequences: - compiz:   * build with gsettings support   * add migration scripts - unity :   * gconf -> gsettings patches (2)   * rebuild with the new gsettings compiz   * add transitional packages for all unity-2d packages   * add migration scripts - nux: * remove the X11 Xsession.d detection script - gnome-control-center:  * should be ported in both the keyboard part by reverting the gsettings revert patch  * in the unity background configuration panels to support gsettings  * in the display configuration panels to support gsettings - gnome-settings-daemon to drop the gsettings revert patch: - metacity should be updated to >> 2.34.2 (gsettings integration, shared with compiz). Sync back with debian, demote to universe -> this forces us to drop a lot of patches to make unity-2d running - consequently, dropping unity-2d because of metacity patches won't be ported, and unity-2d isn't maintained to port from gconf to gsettings:. Removal from the archive - lightdm to transition people from unity-2d to unity-3d session - unity-greeter to drop hardware detection capability for nux - gnome-session to drop the unity-2d session and recommends - release-upgrader in precise to detect if the card can't run unity-3d, and if so, show a warning to tell to stay on the LTS - ubuntu-desktop seed to remove dep on unity-2d People forcing the upgrade or installing on a machine without hardware acceleration will then use unity with llvmpipe. Porting compiz and so unity to gsettings has a lot of consequences: - compiz:   * build with gsettings support   * add migration scripts * add xml files for the g-c-c integration (we used the metacity ones before) - unity :   * gconf -> gsettings patches (2)   * rebuild with the new gsettings compiz   * add transitional packages for all unity-2d packages   * add migration scripts - nux:   * remove the X11 Xsession.d detection script - gnome-control-center:  * should be ported in both the keyboard part by reverting the gsettings revert patch  * in the unity background configuration panels to support gsettings  * in the display configuration panels to support gsettings - gnome-settings-daemon to drop the gsettings revert patch: - metacity should be updated to >> 2.34.2 (gsettings integration, shared with compiz). Sync back with debian, demote to universe -> this forces us to drop a lot of patches to make unity-2d running - consequently, dropping unity-2d because of metacity patches won't be ported, and unity-2d isn't maintained to port from gconf to gsettings:. Removal from the archive - lightdm to transition people from unity-2d to unity-3d session - unity-greeter to drop hardware detection capability for nux - gnome-session to drop the unity-2d session and recommends - release-upgrader in precise to detect if the card can't run unity-3d, and if so, show a warning to tell to stay on the LTS - ubuntu-desktop seed to remove dep on unity-2d People forcing the upgrade or installing on a machine without hardware acceleration will then use unity with llvmpipe.
2012-08-15 07:48:36 Launchpad Janitor branch linked lp:ubuntu/ubuntu-meta
2012-08-15 07:49:48 Launchpad Janitor branch linked lp:ubuntu/unity-greeter
2012-08-15 07:52:23 Launchpad Janitor branch linked lp:ubuntu/lightdm
2012-08-15 07:53:23 Launchpad Janitor branch linked lp:ubuntu/gnome-session
2012-08-15 08:30:38 Didier Roche unity-2d (Ubuntu): status New Fix Released
2012-08-15 09:46:38 Launchpad Janitor branch linked lp:~didrocks/unity/gsettings-transition
2012-08-15 09:57:40 Didier Roche description Porting compiz and so unity to gsettings has a lot of consequences: - compiz:   * build with gsettings support   * add migration scripts * add xml files for the g-c-c integration (we used the metacity ones before) - unity :   * gconf -> gsettings patches (2)   * rebuild with the new gsettings compiz   * add transitional packages for all unity-2d packages   * add migration scripts - nux:   * remove the X11 Xsession.d detection script - gnome-control-center:  * should be ported in both the keyboard part by reverting the gsettings revert patch  * in the unity background configuration panels to support gsettings  * in the display configuration panels to support gsettings - gnome-settings-daemon to drop the gsettings revert patch: - metacity should be updated to >> 2.34.2 (gsettings integration, shared with compiz). Sync back with debian, demote to universe -> this forces us to drop a lot of patches to make unity-2d running - consequently, dropping unity-2d because of metacity patches won't be ported, and unity-2d isn't maintained to port from gconf to gsettings:. Removal from the archive - lightdm to transition people from unity-2d to unity-3d session - unity-greeter to drop hardware detection capability for nux - gnome-session to drop the unity-2d session and recommends - release-upgrader in precise to detect if the card can't run unity-3d, and if so, show a warning to tell to stay on the LTS - ubuntu-desktop seed to remove dep on unity-2d People forcing the upgrade or installing on a machine without hardware acceleration will then use unity with llvmpipe. Porting compiz and so unity to gsettings has a lot of consequences: - compiz:   * build with gsettings support   * add migration scripts   * add xml files for the g-c-c integration (we used the metacity ones before) - unity :   * gconf -> gsettings patches (2)   * rebuild with the new gsettings compiz   * add transitional packages for all unity-2d packages   * add migration scripts - nux:   * remove the X11 Xsession.d detection script - gnome-control-center:  * should be ported in both the keyboard part by reverting the gsettings revert patch  * in the unity background configuration panels to support gsettings  * in the display configuration panels to support gsettings - gnome-settings-daemon to drop the gsettings revert patch: - metacity should be updated to >> 2.34.2 (gsettings integration, shared with compiz). Sync back with debian, demote to universe -> this forces us to drop a lot of patches to make unity-2d running - consequently, dropping unity-2d because of metacity patches won't be ported, and unity-2d isn't maintained to port from gconf to gsettings:. Removal from the archive - lightdm to transition people from unity-2d to unity-3d session - unity-greeter to drop hardware detection capability for nux - gnome-session to drop the unity-2d session and recommends - release-upgrader in precise to detect if the card can't run unity-3d, and if so, show a warning to tell to stay on the LTS - ubuntu-desktop seed to remove dep on unity-2d People forcing the upgrade or installing on a machine without hardware acceleration will then use unity with llvmpipe. --------------- WHAT IS REMAINING: all components that are fix commited (apart unity): - bzr pull the vcs and bzr push it Unity: Take lp:~didrocks/unity/gsettings-transition as the packaging branch - build with latest compiz, check compiz version for build-dep (if not shipped in a new tarball) - ship the .convert script for the unity part (sil has it), in a .install - ensure this script migrate the HUD key as well. - add the dependency on compiz-gnome version shipping the script Compiz: take lp:~didrocks/compiz/gsettings-transition as the packaging branch rev 3298 introduced the migration script - merge all the gsettings branch (create a new snapshot tarball?), ensure they have the xml for g-c-c ones as well. The g-c-c xml files should be installed and handled. - ship the transition script use debian/compiz-gnome.migrations (prepared) for that and ship the .convert files as usual (in a .install)
2012-08-15 09:57:53 Didier Roche unity (Ubuntu): status Fix Released Fix Committed
2012-08-15 09:58:42 Didier Roche description Porting compiz and so unity to gsettings has a lot of consequences: - compiz:   * build with gsettings support   * add migration scripts   * add xml files for the g-c-c integration (we used the metacity ones before) - unity :   * gconf -> gsettings patches (2)   * rebuild with the new gsettings compiz   * add transitional packages for all unity-2d packages   * add migration scripts - nux:   * remove the X11 Xsession.d detection script - gnome-control-center:  * should be ported in both the keyboard part by reverting the gsettings revert patch  * in the unity background configuration panels to support gsettings  * in the display configuration panels to support gsettings - gnome-settings-daemon to drop the gsettings revert patch: - metacity should be updated to >> 2.34.2 (gsettings integration, shared with compiz). Sync back with debian, demote to universe -> this forces us to drop a lot of patches to make unity-2d running - consequently, dropping unity-2d because of metacity patches won't be ported, and unity-2d isn't maintained to port from gconf to gsettings:. Removal from the archive - lightdm to transition people from unity-2d to unity-3d session - unity-greeter to drop hardware detection capability for nux - gnome-session to drop the unity-2d session and recommends - release-upgrader in precise to detect if the card can't run unity-3d, and if so, show a warning to tell to stay on the LTS - ubuntu-desktop seed to remove dep on unity-2d People forcing the upgrade or installing on a machine without hardware acceleration will then use unity with llvmpipe. --------------- WHAT IS REMAINING: all components that are fix commited (apart unity): - bzr pull the vcs and bzr push it Unity: Take lp:~didrocks/unity/gsettings-transition as the packaging branch - build with latest compiz, check compiz version for build-dep (if not shipped in a new tarball) - ship the .convert script for the unity part (sil has it), in a .install - ensure this script migrate the HUD key as well. - add the dependency on compiz-gnome version shipping the script Compiz: take lp:~didrocks/compiz/gsettings-transition as the packaging branch rev 3298 introduced the migration script - merge all the gsettings branch (create a new snapshot tarball?), ensure they have the xml for g-c-c ones as well. The g-c-c xml files should be installed and handled. - ship the transition script use debian/compiz-gnome.migrations (prepared) for that and ship the .convert files as usual (in a .install) Porting compiz and so unity to gsettings has a lot of consequences: - compiz:   * build with gsettings support   * add migration scripts   * add xml files for the g-c-c integration (we used the metacity ones before) - unity :   * gconf -> gsettings patches (2)   * rebuild with the new gsettings compiz   * add transitional packages for all unity-2d packages   * add migration scripts - nux:   * remove the X11 Xsession.d detection script - gnome-control-center:  * should be ported in both the keyboard part by reverting the gsettings revert patch  * in the unity background configuration panels to support gsettings  * in the display configuration panels to support gsettings - gnome-settings-daemon to drop the gsettings revert patch: - metacity should be updated to >> 2.34.2 (gsettings integration, shared with compiz). Sync back with debian, demote to universe -> this forces us to drop a lot of patches to make unity-2d running - consequently, dropping unity-2d because of metacity patches won't be ported, and unity-2d isn't maintained to port from gconf to gsettings:. Removal from the archive - lightdm to transition people from unity-2d to unity-3d session - unity-greeter to drop hardware detection capability for nux - gnome-session to drop the unity-2d session and recommends - release-upgrader in precise to detect if the card can't run unity-3d, and if so, show a warning to tell to stay on the LTS - ubuntu-desktop seed to remove dep on unity-2d People forcing the upgrade or installing on a machine without hardware acceleration will then use unity with llvmpipe. --------------- WHAT IS REMAINING: ubuntu-release-upgrade -> we will deal that with mvo later on. all components that are fix commited (apart unity): - bzr pull the vcs and bzr push it Unity: Take lp:~didrocks/unity/gsettings-transition as the packaging branch - build with latest compiz, check compiz version for build-dep (if not shipped in a new tarball) - ship the .convert script for the unity part (sil has it), in a .install - ensure this script migrate the HUD key as well. - add the dependency on compiz-gnome version shipping the script Compiz: take lp:~didrocks/compiz/gsettings-transition as the packaging branch rev 3298 introduced the migration script - merge all the gsettings branch (create a new snapshot tarball?), ensure they have the xml for g-c-c ones as well. The g-c-c xml files should be installed and handled. - ship the transition script use debian/compiz-gnome.migrations (prepared) for that and ship the .convert files as usual (in a .install)
2012-08-15 12:49:20 Didier Roche description Porting compiz and so unity to gsettings has a lot of consequences: - compiz:   * build with gsettings support   * add migration scripts   * add xml files for the g-c-c integration (we used the metacity ones before) - unity :   * gconf -> gsettings patches (2)   * rebuild with the new gsettings compiz   * add transitional packages for all unity-2d packages   * add migration scripts - nux:   * remove the X11 Xsession.d detection script - gnome-control-center:  * should be ported in both the keyboard part by reverting the gsettings revert patch  * in the unity background configuration panels to support gsettings  * in the display configuration panels to support gsettings - gnome-settings-daemon to drop the gsettings revert patch: - metacity should be updated to >> 2.34.2 (gsettings integration, shared with compiz). Sync back with debian, demote to universe -> this forces us to drop a lot of patches to make unity-2d running - consequently, dropping unity-2d because of metacity patches won't be ported, and unity-2d isn't maintained to port from gconf to gsettings:. Removal from the archive - lightdm to transition people from unity-2d to unity-3d session - unity-greeter to drop hardware detection capability for nux - gnome-session to drop the unity-2d session and recommends - release-upgrader in precise to detect if the card can't run unity-3d, and if so, show a warning to tell to stay on the LTS - ubuntu-desktop seed to remove dep on unity-2d People forcing the upgrade or installing on a machine without hardware acceleration will then use unity with llvmpipe. --------------- WHAT IS REMAINING: ubuntu-release-upgrade -> we will deal that with mvo later on. all components that are fix commited (apart unity): - bzr pull the vcs and bzr push it Unity: Take lp:~didrocks/unity/gsettings-transition as the packaging branch - build with latest compiz, check compiz version for build-dep (if not shipped in a new tarball) - ship the .convert script for the unity part (sil has it), in a .install - ensure this script migrate the HUD key as well. - add the dependency on compiz-gnome version shipping the script Compiz: take lp:~didrocks/compiz/gsettings-transition as the packaging branch rev 3298 introduced the migration script - merge all the gsettings branch (create a new snapshot tarball?), ensure they have the xml for g-c-c ones as well. The g-c-c xml files should be installed and handled. - ship the transition script use debian/compiz-gnome.migrations (prepared) for that and ship the .convert files as usual (in a .install) Porting compiz and so unity to gsettings has a lot of consequences: - compiz: * remove the conffile for 2nd (autologin) fallback mechanism   * build with gsettings support   * add migration scripts   * add xml files for the g-c-c integration (we used the metacity ones before) - unity :   * gconf -> gsettings patches (2)   * rebuild with the new gsettings compiz   * add transitional packages for all unity-2d packages   * add migration scripts - nux:   * remove the X11 Xsession.d detection script - gnome-control-center:  * should be ported in both the keyboard part by reverting the gsettings revert patch  * in the unity background configuration panels to support gsettings  * in the display configuration panels to support gsettings - gnome-settings-daemon to drop the gsettings revert patch: - metacity should be updated to >> 2.34.2 (gsettings integration, shared with compiz). Sync back with debian, demote to universe -> this forces us to drop a lot of patches to make unity-2d running - consequently, dropping unity-2d because of metacity patches won't be ported, and unity-2d isn't maintained to port from gconf to gsettings:. Removal from the archive - lightdm to transition people from unity-2d to unity-3d session - unity-greeter to drop hardware detection capability for nux - gnome-session to drop the unity-2d session and recommends - release-upgrader in precise to detect if the card can't run unity-3d, and if so, show a warning to tell to stay on the LTS - ubuntu-desktop seed to remove dep on unity-2d People forcing the upgrade or installing on a machine without hardware acceleration will then use unity with llvmpipe. --------------- WHAT IS REMAINING: ubuntu-release-upgrade -> we will deal that with mvo later on. all components that are fix commited (apart unity): - bzr pull the vcs and bzr push it Unity: Take lp:~didrocks/unity/gsettings-transition as the packaging branch - build with latest compiz, check compiz version for build-dep (if not shipped in a new tarball) - ship the .convert script for the unity part (sil has it), in a .install - ensure this script migrate the HUD key as well. - add the dependency on compiz-gnome version shipping the script Compiz: take lp:~didrocks/compiz/gsettings-transition as the packaging branch rev 3298 introduced the migration script - merge all the gsettings branch (create a new snapshot tarball?), ensure they have the xml for g-c-c ones as well. The g-c-c xml files should be installed and handled. - ship the transition script use debian/compiz-gnome.migrations (prepared) for that and ship the .convert files as usual (in a .install)
2012-08-15 13:00:13 Launchpad Janitor compiz (Ubuntu): status In Progress Fix Released
2012-08-15 13:03:08 Launchpad Janitor branch linked lp:ubuntu/compiz
2012-08-15 13:03:37 Didier Roche compiz (Ubuntu): status Fix Released Triaged
2012-08-15 15:25:20 manny bug added subscriber manny
2012-08-16 13:08:33 Launchpad Janitor branch linked lp:~ken-vandine/unity/webapps_quantal
2012-08-16 16:10:03 Didier Roche description Porting compiz and so unity to gsettings has a lot of consequences: - compiz: * remove the conffile for 2nd (autologin) fallback mechanism   * build with gsettings support   * add migration scripts   * add xml files for the g-c-c integration (we used the metacity ones before) - unity :   * gconf -> gsettings patches (2)   * rebuild with the new gsettings compiz   * add transitional packages for all unity-2d packages   * add migration scripts - nux:   * remove the X11 Xsession.d detection script - gnome-control-center:  * should be ported in both the keyboard part by reverting the gsettings revert patch  * in the unity background configuration panels to support gsettings  * in the display configuration panels to support gsettings - gnome-settings-daemon to drop the gsettings revert patch: - metacity should be updated to >> 2.34.2 (gsettings integration, shared with compiz). Sync back with debian, demote to universe -> this forces us to drop a lot of patches to make unity-2d running - consequently, dropping unity-2d because of metacity patches won't be ported, and unity-2d isn't maintained to port from gconf to gsettings:. Removal from the archive - lightdm to transition people from unity-2d to unity-3d session - unity-greeter to drop hardware detection capability for nux - gnome-session to drop the unity-2d session and recommends - release-upgrader in precise to detect if the card can't run unity-3d, and if so, show a warning to tell to stay on the LTS - ubuntu-desktop seed to remove dep on unity-2d People forcing the upgrade or installing on a machine without hardware acceleration will then use unity with llvmpipe. --------------- WHAT IS REMAINING: ubuntu-release-upgrade -> we will deal that with mvo later on. all components that are fix commited (apart unity): - bzr pull the vcs and bzr push it Unity: Take lp:~didrocks/unity/gsettings-transition as the packaging branch - build with latest compiz, check compiz version for build-dep (if not shipped in a new tarball) - ship the .convert script for the unity part (sil has it), in a .install - ensure this script migrate the HUD key as well. - add the dependency on compiz-gnome version shipping the script Compiz: take lp:~didrocks/compiz/gsettings-transition as the packaging branch rev 3298 introduced the migration script - merge all the gsettings branch (create a new snapshot tarball?), ensure they have the xml for g-c-c ones as well. The g-c-c xml files should be installed and handled. - ship the transition script use debian/compiz-gnome.migrations (prepared) for that and ship the .convert files as usual (in a .install) Porting compiz and so unity to gsettings has a lot of consequences: - compiz:   * remove the conffile for 2nd (autologin) fallback mechanism   * build with gsettings support   * add migration scripts   * add xml files for the g-c-c integration (we used the metacity ones before) - unity :   * gconf -> gsettings patches (2)   * rebuild with the new gsettings compiz   * add transitional packages for all unity-2d packages   * add migration scripts - nux:   * remove the X11 Xsession.d detection script - gnome-control-center:  * should be ported in both the keyboard part by reverting the gsettings revert patch  * in the unity background configuration panels to support gsettings  * in the display configuration panels to support gsettings - gnome-settings-daemon to drop the gsettings revert patch: - metacity should be updated to >> 2.34.2 (gsettings integration, shared with compiz). Sync back with debian, demote to universe -> this forces us to drop a lot of patches to make unity-2d running - consequently, dropping unity-2d because of metacity patches won't be ported, and unity-2d isn't maintained to port from gconf to gsettings:. Removal from the archive - lightdm to transition people from unity-2d to unity-3d session - unity-greeter to drop hardware detection capability for nux - gnome-session to drop the unity-2d session and recommends - release-upgrader in precise to detect if the card can't run unity-3d, and if so, show a warning to tell to stay on the LTS - ubuntu-desktop seed to remove dep on unity-2d People forcing the upgrade or installing on a machine without hardware acceleration will then use unity with llvmpipe. --------------- WHAT IS REMAINING: ubuntu-release-upgrade -> we will deal that with mvo later on. all components that are fix commited (apart unity): - bzr pull the vcs and bzr push it Unity: Take lp:~didrocks/unity/gsettings-transition as the packaging branch - build with latest compiz, check compiz version for build-dep (if not shipped in a new tarball) - ship the .convert script for the unity part (sil has it), in a .install - ensure this script migrate the HUD key as well. - add the dependency on compiz-gnome version shipping the script Compiz: take lp:~didrocks/compiz/gsettings-transition as the packaging branch rev 3298 introduced the migration script - merge all the gsettings branch (create a new snapshot tarball?), ensure they have the xml for g-c-c ones as well. The g-c-c xml files should be installed and handled. - ship the transition script use debian/compiz-gnome.migrations (prepared) for that and ship the .convert files as usual (in a .install) TESTING THE MIGRATION: 1. have the old g-c-c, change unity values in it (launcher size, hide mode…), change keybindings (a lot of them in different categories, launcher, navigation… like changing workspace keys) 2. install new g-c-c (lp:~ubuntu-desktop/gnome-control-center/ubuntu), compiz, unity with all the settings migration 3. logout/login 4. check that the keys are transitionned to the new system: launcher size/hide mode are the changed values and corresponds and the values are shown in the new g-c-c. Same thing with the changed keybidings.
2012-08-17 05:51:17 Didier Roche description Porting compiz and so unity to gsettings has a lot of consequences: - compiz:   * remove the conffile for 2nd (autologin) fallback mechanism   * build with gsettings support   * add migration scripts   * add xml files for the g-c-c integration (we used the metacity ones before) - unity :   * gconf -> gsettings patches (2)   * rebuild with the new gsettings compiz   * add transitional packages for all unity-2d packages   * add migration scripts - nux:   * remove the X11 Xsession.d detection script - gnome-control-center:  * should be ported in both the keyboard part by reverting the gsettings revert patch  * in the unity background configuration panels to support gsettings  * in the display configuration panels to support gsettings - gnome-settings-daemon to drop the gsettings revert patch: - metacity should be updated to >> 2.34.2 (gsettings integration, shared with compiz). Sync back with debian, demote to universe -> this forces us to drop a lot of patches to make unity-2d running - consequently, dropping unity-2d because of metacity patches won't be ported, and unity-2d isn't maintained to port from gconf to gsettings:. Removal from the archive - lightdm to transition people from unity-2d to unity-3d session - unity-greeter to drop hardware detection capability for nux - gnome-session to drop the unity-2d session and recommends - release-upgrader in precise to detect if the card can't run unity-3d, and if so, show a warning to tell to stay on the LTS - ubuntu-desktop seed to remove dep on unity-2d People forcing the upgrade or installing on a machine without hardware acceleration will then use unity with llvmpipe. --------------- WHAT IS REMAINING: ubuntu-release-upgrade -> we will deal that with mvo later on. all components that are fix commited (apart unity): - bzr pull the vcs and bzr push it Unity: Take lp:~didrocks/unity/gsettings-transition as the packaging branch - build with latest compiz, check compiz version for build-dep (if not shipped in a new tarball) - ship the .convert script for the unity part (sil has it), in a .install - ensure this script migrate the HUD key as well. - add the dependency on compiz-gnome version shipping the script Compiz: take lp:~didrocks/compiz/gsettings-transition as the packaging branch rev 3298 introduced the migration script - merge all the gsettings branch (create a new snapshot tarball?), ensure they have the xml for g-c-c ones as well. The g-c-c xml files should be installed and handled. - ship the transition script use debian/compiz-gnome.migrations (prepared) for that and ship the .convert files as usual (in a .install) TESTING THE MIGRATION: 1. have the old g-c-c, change unity values in it (launcher size, hide mode…), change keybindings (a lot of them in different categories, launcher, navigation… like changing workspace keys) 2. install new g-c-c (lp:~ubuntu-desktop/gnome-control-center/ubuntu), compiz, unity with all the settings migration 3. logout/login 4. check that the keys are transitionned to the new system: launcher size/hide mode are the changed values and corresponds and the values are shown in the new g-c-c. Same thing with the changed keybidings. Porting compiz and so unity to gsettings has a lot of consequences: - compiz:   * remove the conffile for 2nd (autologin) fallback mechanism   * build with gsettings support   * add migration scripts   * add xml files for the g-c-c integration (we used the metacity ones before) - unity :   * gconf -> gsettings patches (2)   * rebuild with the new gsettings compiz   * add transitional packages for all unity-2d packages   * add migration scripts - nux:   * remove the X11 Xsession.d detection script - gnome-control-center:  * should be ported in both the keyboard part by reverting the gsettings revert patch  * in the unity background configuration panels to support gsettings  * in the display configuration panels to support gsettings - gnome-settings-daemon to drop the gsettings revert patch: - metacity should be updated to >> 2.34.2 (gsettings integration, shared with compiz). Sync back with debian, demote to universe -> this forces us to drop a lot of patches to make unity-2d running - consequently, dropping unity-2d because of metacity patches won't be ported, and unity-2d isn't maintained to port from gconf to gsettings:. Removal from the archive - lightdm to transition people from unity-2d to unity-3d session - unity-greeter to drop hardware detection capability for nux - gnome-session to drop the unity-2d session and recommends - release-upgrader in precise to detect if the card can't run unity-3d, and if so, show a warning to tell to stay on the LTS - ubuntu-desktop seed to remove dep on unity-2d People forcing the upgrade or installing on a machine without hardware acceleration will then use unity with llvmpipe. --------------- WHAT IS REMAINING: ubuntu-release-upgrade -> we will deal that with mvo later on. all components that are fix commited (apart unity): - bzr pull the vcs, release and dput it Unity: Take lp:~didrocks/unity/gsettings-transition as the packaging branch - build with latest compiz, check compiz version for build-dep (if not shipped in a new tarball) - ship the .convert script for the unity part (sil has it), in a .install - ensure this script migrate the HUD key as well. - add the dependency on compiz-gnome version shipping the script Compiz: take lp:~didrocks/compiz/gsettings-transition as the packaging branch rev 3298 introduced the migration script - merge all the gsettings branch (create a new snapshot tarball?), ensure they have the xml for g-c-c ones as well. The g-c-c xml files should be installed and handled. - ship the transition script use debian/compiz-gnome.migrations (prepared) for that and ship the .convert files as usual (in a .install) TESTING THE MIGRATION: 1. have the old g-c-c, change unity values in it (launcher size, hide mode…), change keybindings (a lot of them in different categories, launcher, navigation… like changing workspace keys) 2. install new g-c-c (lp:~ubuntu-desktop/gnome-control-center/ubuntu), compiz, unity with all the settings migration 3. logout/login 4. check that the keys are transitionned to the new system: launcher size/hide mode are the changed values and corresponds and the values are shown in the new g-c-c. Same thing with the changed keybidings.
2012-08-17 06:19:43 Didier Roche description Porting compiz and so unity to gsettings has a lot of consequences: - compiz:   * remove the conffile for 2nd (autologin) fallback mechanism   * build with gsettings support   * add migration scripts   * add xml files for the g-c-c integration (we used the metacity ones before) - unity :   * gconf -> gsettings patches (2)   * rebuild with the new gsettings compiz   * add transitional packages for all unity-2d packages   * add migration scripts - nux:   * remove the X11 Xsession.d detection script - gnome-control-center:  * should be ported in both the keyboard part by reverting the gsettings revert patch  * in the unity background configuration panels to support gsettings  * in the display configuration panels to support gsettings - gnome-settings-daemon to drop the gsettings revert patch: - metacity should be updated to >> 2.34.2 (gsettings integration, shared with compiz). Sync back with debian, demote to universe -> this forces us to drop a lot of patches to make unity-2d running - consequently, dropping unity-2d because of metacity patches won't be ported, and unity-2d isn't maintained to port from gconf to gsettings:. Removal from the archive - lightdm to transition people from unity-2d to unity-3d session - unity-greeter to drop hardware detection capability for nux - gnome-session to drop the unity-2d session and recommends - release-upgrader in precise to detect if the card can't run unity-3d, and if so, show a warning to tell to stay on the LTS - ubuntu-desktop seed to remove dep on unity-2d People forcing the upgrade or installing on a machine without hardware acceleration will then use unity with llvmpipe. --------------- WHAT IS REMAINING: ubuntu-release-upgrade -> we will deal that with mvo later on. all components that are fix commited (apart unity): - bzr pull the vcs, release and dput it Unity: Take lp:~didrocks/unity/gsettings-transition as the packaging branch - build with latest compiz, check compiz version for build-dep (if not shipped in a new tarball) - ship the .convert script for the unity part (sil has it), in a .install - ensure this script migrate the HUD key as well. - add the dependency on compiz-gnome version shipping the script Compiz: take lp:~didrocks/compiz/gsettings-transition as the packaging branch rev 3298 introduced the migration script - merge all the gsettings branch (create a new snapshot tarball?), ensure they have the xml for g-c-c ones as well. The g-c-c xml files should be installed and handled. - ship the transition script use debian/compiz-gnome.migrations (prepared) for that and ship the .convert files as usual (in a .install) TESTING THE MIGRATION: 1. have the old g-c-c, change unity values in it (launcher size, hide mode…), change keybindings (a lot of them in different categories, launcher, navigation… like changing workspace keys) 2. install new g-c-c (lp:~ubuntu-desktop/gnome-control-center/ubuntu), compiz, unity with all the settings migration 3. logout/login 4. check that the keys are transitionned to the new system: launcher size/hide mode are the changed values and corresponds and the values are shown in the new g-c-c. Same thing with the changed keybidings. Porting compiz and so unity to gsettings has a lot of consequences: - compiz:   * remove the conffile for 2nd (autologin) fallback mechanism   * build with gsettings support   * add migration scripts   * add xml files for the g-c-c integration (we used the metacity ones before) - unity :   * gconf -> gsettings patches (2)   * rebuild with the new gsettings compiz   * add transitional packages for all unity-2d packages   * add migration scripts - nux:   * remove the X11 Xsession.d detection script - gnome-control-center:  * should be ported in both the keyboard part by reverting the gsettings revert patch  * in the unity background configuration panels to support gsettings  * in the display configuration panels to support gsettings - gnome-settings-daemon to drop the gsettings revert patch: - metacity should be updated to >> 2.34.2 (gsettings integration, shared with compiz). Sync back with debian, demote to universe -> this forces us to drop a lot of patches to make unity-2d running - consequently, dropping unity-2d because of metacity patches won't be ported, and unity-2d isn't maintained to port from gconf to gsettings:. Removal from the archive - lightdm to transition people from unity-2d to unity-3d session - unity-greeter to drop hardware detection capability for nux - gnome-session to drop the unity-2d session and recommends - release-upgrader in precise to detect if the card can't run unity-3d, and if so, show a warning to tell to stay on the LTS - ubuntu-desktop seed to remove dep on unity-2d People forcing the upgrade or installing on a machine without hardware acceleration will then use unity with llvmpipe. --------------- WHAT IS REMAINING: ubuntu-release-upgrade -> we will deal that with mvo later on. all above components that are fix commited (apart unity): - bzr pull the vcs, release and dput it - metacity to sync with debian Unity: Take lp:~didrocks/unity/gsettings-transition as the packaging branch - build with latest compiz, check compiz version for build-dep (already bumped, but check if not shipped in a new tarball) - activate the gsettings switch in debian/rules. ensure that the schemas are installed in the same package that the gconf keys were. Remove the gconf keys install. - check that I ship correctly the .convert script and bump if needed the dep from unityc-ommon to compiz-gnome (already bumped, but check if not shipped in a new tarball) Compiz: take lp:~didrocks/compiz/gsettings-transition as the packaging branch rev 3298 introduced the migration script - merge all the gsettings branch (create a new snapshot tarball?), ensure they have the xml for g-c-c ones as well. The g-c-c xml files should be installed and handled by the packaging already in usr/share/gnome-control-center/keybindings. - activate the gsettings switch in debian/rules. ensure that the schemas are installed in the same packages that the gconf keys were. Remove the gconf keys install. - check that my changes ship the transition script use debian/compiz-gnome.migrations and the convert files. MISC: - branch for gsettings compiz g-c-c integration: lp:~compiz-team/compiz/compiz.gnome-control-center-integration - branch for gsettings unity g-c-c integration: lp: - Mirv has some updates .convert files for compiz for the g-c-c keys. Both should be merged. - lp:~didrocks/unity/gsettings-transition already contains the backport for removing gconf and the .convert unity files. (ber merge) TESTING THE MIGRATION: 1. have the old g-c-c, change unity values in it (launcher size, hide mode…), change keybindings (a lot of them in different categories, launcher, navigation… like changing workspace keys) 2. install new g-c-c (lp:~ubuntu-desktop/gnome-control-center/ubuntu), compiz, unity with all the settings migration 3. logout/login 4. check that the keys are transitionned to the new system: launcher size/hide mode are the changed values and corresponds and the values are shown in the new g-c-c. Same thing with the changed keybidings.
2012-08-17 08:52:51 Timo Jyrinki description Porting compiz and so unity to gsettings has a lot of consequences: - compiz:   * remove the conffile for 2nd (autologin) fallback mechanism   * build with gsettings support   * add migration scripts   * add xml files for the g-c-c integration (we used the metacity ones before) - unity :   * gconf -> gsettings patches (2)   * rebuild with the new gsettings compiz   * add transitional packages for all unity-2d packages   * add migration scripts - nux:   * remove the X11 Xsession.d detection script - gnome-control-center:  * should be ported in both the keyboard part by reverting the gsettings revert patch  * in the unity background configuration panels to support gsettings  * in the display configuration panels to support gsettings - gnome-settings-daemon to drop the gsettings revert patch: - metacity should be updated to >> 2.34.2 (gsettings integration, shared with compiz). Sync back with debian, demote to universe -> this forces us to drop a lot of patches to make unity-2d running - consequently, dropping unity-2d because of metacity patches won't be ported, and unity-2d isn't maintained to port from gconf to gsettings:. Removal from the archive - lightdm to transition people from unity-2d to unity-3d session - unity-greeter to drop hardware detection capability for nux - gnome-session to drop the unity-2d session and recommends - release-upgrader in precise to detect if the card can't run unity-3d, and if so, show a warning to tell to stay on the LTS - ubuntu-desktop seed to remove dep on unity-2d People forcing the upgrade or installing on a machine without hardware acceleration will then use unity with llvmpipe. --------------- WHAT IS REMAINING: ubuntu-release-upgrade -> we will deal that with mvo later on. all above components that are fix commited (apart unity): - bzr pull the vcs, release and dput it - metacity to sync with debian Unity: Take lp:~didrocks/unity/gsettings-transition as the packaging branch - build with latest compiz, check compiz version for build-dep (already bumped, but check if not shipped in a new tarball) - activate the gsettings switch in debian/rules. ensure that the schemas are installed in the same package that the gconf keys were. Remove the gconf keys install. - check that I ship correctly the .convert script and bump if needed the dep from unityc-ommon to compiz-gnome (already bumped, but check if not shipped in a new tarball) Compiz: take lp:~didrocks/compiz/gsettings-transition as the packaging branch rev 3298 introduced the migration script - merge all the gsettings branch (create a new snapshot tarball?), ensure they have the xml for g-c-c ones as well. The g-c-c xml files should be installed and handled by the packaging already in usr/share/gnome-control-center/keybindings. - activate the gsettings switch in debian/rules. ensure that the schemas are installed in the same packages that the gconf keys were. Remove the gconf keys install. - check that my changes ship the transition script use debian/compiz-gnome.migrations and the convert files. MISC: - branch for gsettings compiz g-c-c integration: lp:~compiz-team/compiz/compiz.gnome-control-center-integration - branch for gsettings unity g-c-c integration: lp: - Mirv has some updates .convert files for compiz for the g-c-c keys. Both should be merged. - lp:~didrocks/unity/gsettings-transition already contains the backport for removing gconf and the .convert unity files. (ber merge) TESTING THE MIGRATION: 1. have the old g-c-c, change unity values in it (launcher size, hide mode…), change keybindings (a lot of them in different categories, launcher, navigation… like changing workspace keys) 2. install new g-c-c (lp:~ubuntu-desktop/gnome-control-center/ubuntu), compiz, unity with all the settings migration 3. logout/login 4. check that the keys are transitionned to the new system: launcher size/hide mode are the changed values and corresponds and the values are shown in the new g-c-c. Same thing with the changed keybidings. Porting compiz and so unity to gsettings has a lot of consequences: - compiz:   * remove the conffile for 2nd (autologin) fallback mechanism   * build with gsettings support   * add migration scripts   * add xml files for the g-c-c integration (we used the metacity ones before) - unity :   * gconf -> gsettings patches (2)   * rebuild with the new gsettings compiz   * add transitional packages for all unity-2d packages   * add migration scripts - nux:   * remove the X11 Xsession.d detection script - gnome-control-center:  * should be ported in both the keyboard part by reverting the gsettings revert patch  * in the unity background configuration panels to support gsettings  * in the display configuration panels to support gsettings - gnome-settings-daemon to drop the gsettings revert patch: - metacity should be updated to >> 2.34.2 (gsettings integration, shared with compiz). Sync back with debian, demote to universe -> this forces us to drop a lot of patches to make unity-2d running - consequently, dropping unity-2d because of metacity patches won't be ported, and unity-2d isn't maintained to port from gconf to gsettings:. Removal from the archive - lightdm to transition people from unity-2d to unity-3d session - unity-greeter to drop hardware detection capability for nux - gnome-session to drop the unity-2d session and recommends - release-upgrader in precise to detect if the card can't run unity-3d, and if so, show a warning to tell to stay on the LTS - ubuntu-desktop seed to remove dep on unity-2d People forcing the upgrade or installing on a machine without hardware acceleration will then use unity with llvmpipe. --------------- WHAT IS REMAINING: ubuntu-release-upgrade -> we will deal that with mvo later on. all above components that are fix commited (apart unity): - bzr pull the vcs, release and dput it - metacity to sync with debian Unity: Take lp:~didrocks/unity/gsettings-transition as the packaging branch - build with latest compiz, check compiz version for build-dep (already bumped, but check if not shipped in a new tarball) - (activate the gsettings switch in debian/rules <- is enabled by default) ensure that the schemas are installed in the same package that the gconf keys were. Remove the gconf keys install. - check that I ship correctly the .convert script and bump if needed the dep from unityc-ommon to compiz-gnome (already bumped, but check if not shipped in a new tarball) Compiz: packaging branches lp:~didrocks/compiz/gsettings-transition / lp:~timo-jyrinki/compiz/ubuntu_quantal - merge all the gsettings branches to lp:compiz (create a new snapshot tarball?), ensure they have the xml for g-c-c ones as well. The g-c-c xml files should be installed and handled by the packaging already in usr/share/gnome-control-center/keybindings. - Remove the gconf keys install. MISC: - branch for gsettings compiz g-c-c integration: lp:~compiz-team/compiz/compiz.gnome-control-center-integration - branch for gsettings unity g-c-c integration: lp: - Mirv has some updates .convert files for compiz for the g-c-c keys. lp:~timo-jyrinki/compiz/metacity-key-migrations Both should be merged. - lp:~didrocks/unity/gsettings-transition already contains the backport for removing gconf and the .convert unity files. (ber merge) TESTING THE MIGRATION: 1. have the old g-c-c, change unity values in it (launcher size, hide mode…), change keybindings (a lot of them in different categories, launcher, navigation… like changing workspace keys) 2. install new g-c-c (lp:~ubuntu-desktop/gnome-control-center/ubuntu), compiz, unity with all the settings migration 3. logout/login 4. check that the keys are transitionned to the new system: launcher size/hide mode are the changed values and corresponds and the values are shown in the new g-c-c. Same thing with the changed keybidings.
2012-08-17 09:20:37 Didier Roche description Porting compiz and so unity to gsettings has a lot of consequences: - compiz:   * remove the conffile for 2nd (autologin) fallback mechanism   * build with gsettings support   * add migration scripts   * add xml files for the g-c-c integration (we used the metacity ones before) - unity :   * gconf -> gsettings patches (2)   * rebuild with the new gsettings compiz   * add transitional packages for all unity-2d packages   * add migration scripts - nux:   * remove the X11 Xsession.d detection script - gnome-control-center:  * should be ported in both the keyboard part by reverting the gsettings revert patch  * in the unity background configuration panels to support gsettings  * in the display configuration panels to support gsettings - gnome-settings-daemon to drop the gsettings revert patch: - metacity should be updated to >> 2.34.2 (gsettings integration, shared with compiz). Sync back with debian, demote to universe -> this forces us to drop a lot of patches to make unity-2d running - consequently, dropping unity-2d because of metacity patches won't be ported, and unity-2d isn't maintained to port from gconf to gsettings:. Removal from the archive - lightdm to transition people from unity-2d to unity-3d session - unity-greeter to drop hardware detection capability for nux - gnome-session to drop the unity-2d session and recommends - release-upgrader in precise to detect if the card can't run unity-3d, and if so, show a warning to tell to stay on the LTS - ubuntu-desktop seed to remove dep on unity-2d People forcing the upgrade or installing on a machine without hardware acceleration will then use unity with llvmpipe. --------------- WHAT IS REMAINING: ubuntu-release-upgrade -> we will deal that with mvo later on. all above components that are fix commited (apart unity): - bzr pull the vcs, release and dput it - metacity to sync with debian Unity: Take lp:~didrocks/unity/gsettings-transition as the packaging branch - build with latest compiz, check compiz version for build-dep (already bumped, but check if not shipped in a new tarball) - (activate the gsettings switch in debian/rules <- is enabled by default) ensure that the schemas are installed in the same package that the gconf keys were. Remove the gconf keys install. - check that I ship correctly the .convert script and bump if needed the dep from unityc-ommon to compiz-gnome (already bumped, but check if not shipped in a new tarball) Compiz: packaging branches lp:~didrocks/compiz/gsettings-transition / lp:~timo-jyrinki/compiz/ubuntu_quantal - merge all the gsettings branches to lp:compiz (create a new snapshot tarball?), ensure they have the xml for g-c-c ones as well. The g-c-c xml files should be installed and handled by the packaging already in usr/share/gnome-control-center/keybindings. - Remove the gconf keys install. MISC: - branch for gsettings compiz g-c-c integration: lp:~compiz-team/compiz/compiz.gnome-control-center-integration - branch for gsettings unity g-c-c integration: lp: - Mirv has some updates .convert files for compiz for the g-c-c keys. lp:~timo-jyrinki/compiz/metacity-key-migrations Both should be merged. - lp:~didrocks/unity/gsettings-transition already contains the backport for removing gconf and the .convert unity files. (ber merge) TESTING THE MIGRATION: 1. have the old g-c-c, change unity values in it (launcher size, hide mode…), change keybindings (a lot of them in different categories, launcher, navigation… like changing workspace keys) 2. install new g-c-c (lp:~ubuntu-desktop/gnome-control-center/ubuntu), compiz, unity with all the settings migration 3. logout/login 4. check that the keys are transitionned to the new system: launcher size/hide mode are the changed values and corresponds and the values are shown in the new g-c-c. Same thing with the changed keybidings. Porting compiz and so unity to gsettings has a lot of consequences: - compiz:   * remove the conffile for 2nd (autologin) fallback mechanism   * build with gsettings support   * add migration scripts   * add xml files for the g-c-c integration (we used the metacity ones before) - unity :   * gconf -> gsettings patches (2)   * rebuild with the new gsettings compiz   * add transitional packages for all unity-2d packages   * add migration scripts - nux:   * remove the X11 Xsession.d detection script - gnome-control-center:  * should be ported in both the keyboard part by reverting the gsettings revert patch  * in the unity background configuration panels to support gsettings  * in the display configuration panels to support gsettings - gnome-settings-daemon to drop the gsettings revert patch: - metacity should be updated to >> 2.34.2 (gsettings integration, shared with compiz). Sync back with debian, demote to universe -> this forces us to drop a lot of patches to make unity-2d running - consequently, dropping unity-2d because of metacity patches won't be ported, and unity-2d isn't maintained to port from gconf to gsettings:. Removal from the archive - lightdm to transition people from unity-2d to unity-3d session - unity-greeter to drop hardware detection capability for nux - gnome-session to drop the unity-2d session and recommends - release-upgrader in precise to detect if the card can't run unity-3d, and if so, show a warning to tell to stay on the LTS - ubuntu-desktop seed to remove dep on unity-2d People forcing the upgrade or installing on a machine without hardware acceleration will then use unity with llvmpipe. --------------- WHAT IS REMAINING: ubuntu-release-upgrade -> we will deal that with mvo later on. all above components that are fix commited (apart unity): - bzr pull the vcs, release and dput it - metacity to sync with debian Unity: Take lp:~didrocks/unity/gsettings-transition as the packaging branch - build with latest compiz, check compiz version for build-dep (already bumped, but check if not shipped in a new tarball) - (activate the gsettings switch in debian/rules <- is enabled by default) ensure that the schemas are installed in the same package that the gconf keys were. Remove the gconf keys install. - check that I ship correctly the .convert script and bump if needed the dep from unityc-ommon to compiz-gnome (already bumped, but check if not shipped in a new tarball) Compiz: packaging branches lp:~didrocks/compiz/gsettings-transition / lp:~timo-jyrinki/compiz/ubuntu_quantal - merge all the gsettings branches to lp:compiz (create a new snapshot tarball?), ensure they have the xml for g-c-c ones as well. The g-c-c xml files should be installed and handled by the packaging already in usr/share/gnome-control-center/keybindings. - Remove the gconf keys install. MISC: - branch for gsettings compiz g-c-c integration: lp:~compiz-team/compiz/compiz.gnome-control-center-integration - Mirv has some updates .convert files for compiz for the g-c-c keys. lp:~timo-jyrinki/compiz/metacity-key-migrations Both should be merged. - lp:~didrocks/unity/gsettings-transition already contains the backport for removing gconf the .convert unity files and g-c-c integration. (bzr merge). Nothing is normally needed. TESTING THE MIGRATION: 1. have the old g-c-c, change unity values in it (launcher size, hide mode…), change keybindings (a lot of them in different categories, launcher, navigation… like changing workspace keys) 2. install new g-c-c (lp:~ubuntu-desktop/gnome-control-center/ubuntu), compiz, unity with all the settings migration 3. logout/login 4. check that the keys are transitionned to the new system: launcher size/hide mode are the changed values and corresponds and the values are shown in the new g-c-c. Same thing with the changed keybidings.
2012-08-17 13:55:37 Timo Jyrinki description Porting compiz and so unity to gsettings has a lot of consequences: - compiz:   * remove the conffile for 2nd (autologin) fallback mechanism   * build with gsettings support   * add migration scripts   * add xml files for the g-c-c integration (we used the metacity ones before) - unity :   * gconf -> gsettings patches (2)   * rebuild with the new gsettings compiz   * add transitional packages for all unity-2d packages   * add migration scripts - nux:   * remove the X11 Xsession.d detection script - gnome-control-center:  * should be ported in both the keyboard part by reverting the gsettings revert patch  * in the unity background configuration panels to support gsettings  * in the display configuration panels to support gsettings - gnome-settings-daemon to drop the gsettings revert patch: - metacity should be updated to >> 2.34.2 (gsettings integration, shared with compiz). Sync back with debian, demote to universe -> this forces us to drop a lot of patches to make unity-2d running - consequently, dropping unity-2d because of metacity patches won't be ported, and unity-2d isn't maintained to port from gconf to gsettings:. Removal from the archive - lightdm to transition people from unity-2d to unity-3d session - unity-greeter to drop hardware detection capability for nux - gnome-session to drop the unity-2d session and recommends - release-upgrader in precise to detect if the card can't run unity-3d, and if so, show a warning to tell to stay on the LTS - ubuntu-desktop seed to remove dep on unity-2d People forcing the upgrade or installing on a machine without hardware acceleration will then use unity with llvmpipe. --------------- WHAT IS REMAINING: ubuntu-release-upgrade -> we will deal that with mvo later on. all above components that are fix commited (apart unity): - bzr pull the vcs, release and dput it - metacity to sync with debian Unity: Take lp:~didrocks/unity/gsettings-transition as the packaging branch - build with latest compiz, check compiz version for build-dep (already bumped, but check if not shipped in a new tarball) - (activate the gsettings switch in debian/rules <- is enabled by default) ensure that the schemas are installed in the same package that the gconf keys were. Remove the gconf keys install. - check that I ship correctly the .convert script and bump if needed the dep from unityc-ommon to compiz-gnome (already bumped, but check if not shipped in a new tarball) Compiz: packaging branches lp:~didrocks/compiz/gsettings-transition / lp:~timo-jyrinki/compiz/ubuntu_quantal - merge all the gsettings branches to lp:compiz (create a new snapshot tarball?), ensure they have the xml for g-c-c ones as well. The g-c-c xml files should be installed and handled by the packaging already in usr/share/gnome-control-center/keybindings. - Remove the gconf keys install. MISC: - branch for gsettings compiz g-c-c integration: lp:~compiz-team/compiz/compiz.gnome-control-center-integration - Mirv has some updates .convert files for compiz for the g-c-c keys. lp:~timo-jyrinki/compiz/metacity-key-migrations Both should be merged. - lp:~didrocks/unity/gsettings-transition already contains the backport for removing gconf the .convert unity files and g-c-c integration. (bzr merge). Nothing is normally needed. TESTING THE MIGRATION: 1. have the old g-c-c, change unity values in it (launcher size, hide mode…), change keybindings (a lot of them in different categories, launcher, navigation… like changing workspace keys) 2. install new g-c-c (lp:~ubuntu-desktop/gnome-control-center/ubuntu), compiz, unity with all the settings migration 3. logout/login 4. check that the keys are transitionned to the new system: launcher size/hide mode are the changed values and corresponds and the values are shown in the new g-c-c. Same thing with the changed keybidings. Porting compiz and so unity to gsettings has a lot of consequences: - compiz:   * remove the conffile for 2nd (autologin) fallback mechanism   * build with gsettings support   * add migration scripts   * add xml files for the g-c-c integration (we used the metacity ones before) - unity :   * gconf -> gsettings patches (2)   * rebuild with the new gsettings compiz   * add transitional packages for all unity-2d packages   * add migration scripts - nux:   * remove the X11 Xsession.d detection script - gnome-control-center:  * should be ported in both the keyboard part by reverting the gsettings revert patch  * in the unity background configuration panels to support gsettings  * in the display configuration panels to support gsettings - gnome-settings-daemon to drop the gsettings revert patch: - metacity should be updated to >> 2.34.2 (gsettings integration, shared with compiz). Sync back with debian, demote to universe -> this forces us to drop a lot of patches to make unity-2d running - consequently, dropping unity-2d because of metacity patches won't be ported, and unity-2d isn't maintained to port from gconf to gsettings:. Removal from the archive - lightdm to transition people from unity-2d to unity-3d session - unity-greeter to drop hardware detection capability for nux - gnome-session to drop the unity-2d session and recommends - release-upgrader in precise to detect if the card can't run unity-3d, and if so, show a warning to tell to stay on the LTS - ubuntu-desktop seed to remove dep on unity-2d People forcing the upgrade or installing on a machine without hardware acceleration will then use unity with llvmpipe. --------------- WHAT IS REMAINING: ubuntu-release-upgrade -> we will deal that with mvo later on. all above components that are fix commited (apart unity): - bzr pull the vcs, release and dput it - metacity to sync with debian Unity: Take lp:~didrocks/unity/gsettings-transition as the packaging branch - build with latest compiz, check compiz version for build-dep (already bumped, but check if not shipped in a new tarball) - (activate the gsettings switch in debian/rules <- is enabled by default) ensure that the schemas are installed in the same package that the gconf keys were. Remove the gconf keys install. - check that I ship correctly the .convert script and bump if needed the dep from unityc-ommon to compiz-gnome (already bumped, but check if not shipped in a new tarball) Compiz: packaging branches lp:~didrocks/compiz/gsettings-transition / lp:~timo-jyrinki/compiz/ubuntu_quantal / lp:~timo-jyrinki/compiz/ubuntu_ccs_gnome_integration_gsettings - merge all the gsettings branches to lp:compiz (create a new snapshot tarball?), ensure they have the xml for g-c-c ones as well. The g-c-c xml files should be installed and handled by the packaging already in usr/share/gnome-control-center/keybindings. - Remove the gconf keys install. MISC: - branch for gsettings compiz g-c-c integration: lp:~compiz-team/compiz/compiz.gnome-control-center-integration - Mirv has some updates .convert files for compiz for the g-c-c keys. lp:~timo-jyrinki/compiz/metacity-key-migrations Both should be merged. - lp:~didrocks/unity/gsettings-transition already contains the backport for removing gconf the .convert unity files and g-c-c integration. (bzr merge). Nothing is normally needed. TESTING THE MIGRATION: 1. have the old g-c-c, change unity values in it (launcher size, hide mode…), change keybindings (a lot of them in different categories, launcher, navigation… like changing workspace keys) 2. install new g-c-c (lp:~ubuntu-desktop/gnome-control-center/ubuntu), compiz, unity with all the settings migration 3. logout/login 4. check that the keys are transitionned to the new system: launcher size/hide mode are the changed values and corresponds and the values are shown in the new g-c-c. Same thing with the changed keybidings.
2012-08-17 13:56:04 Timo Jyrinki description Porting compiz and so unity to gsettings has a lot of consequences: - compiz:   * remove the conffile for 2nd (autologin) fallback mechanism   * build with gsettings support   * add migration scripts   * add xml files for the g-c-c integration (we used the metacity ones before) - unity :   * gconf -> gsettings patches (2)   * rebuild with the new gsettings compiz   * add transitional packages for all unity-2d packages   * add migration scripts - nux:   * remove the X11 Xsession.d detection script - gnome-control-center:  * should be ported in both the keyboard part by reverting the gsettings revert patch  * in the unity background configuration panels to support gsettings  * in the display configuration panels to support gsettings - gnome-settings-daemon to drop the gsettings revert patch: - metacity should be updated to >> 2.34.2 (gsettings integration, shared with compiz). Sync back with debian, demote to universe -> this forces us to drop a lot of patches to make unity-2d running - consequently, dropping unity-2d because of metacity patches won't be ported, and unity-2d isn't maintained to port from gconf to gsettings:. Removal from the archive - lightdm to transition people from unity-2d to unity-3d session - unity-greeter to drop hardware detection capability for nux - gnome-session to drop the unity-2d session and recommends - release-upgrader in precise to detect if the card can't run unity-3d, and if so, show a warning to tell to stay on the LTS - ubuntu-desktop seed to remove dep on unity-2d People forcing the upgrade or installing on a machine without hardware acceleration will then use unity with llvmpipe. --------------- WHAT IS REMAINING: ubuntu-release-upgrade -> we will deal that with mvo later on. all above components that are fix commited (apart unity): - bzr pull the vcs, release and dput it - metacity to sync with debian Unity: Take lp:~didrocks/unity/gsettings-transition as the packaging branch - build with latest compiz, check compiz version for build-dep (already bumped, but check if not shipped in a new tarball) - (activate the gsettings switch in debian/rules <- is enabled by default) ensure that the schemas are installed in the same package that the gconf keys were. Remove the gconf keys install. - check that I ship correctly the .convert script and bump if needed the dep from unityc-ommon to compiz-gnome (already bumped, but check if not shipped in a new tarball) Compiz: packaging branches lp:~didrocks/compiz/gsettings-transition / lp:~timo-jyrinki/compiz/ubuntu_quantal / lp:~timo-jyrinki/compiz/ubuntu_ccs_gnome_integration_gsettings - merge all the gsettings branches to lp:compiz (create a new snapshot tarball?), ensure they have the xml for g-c-c ones as well. The g-c-c xml files should be installed and handled by the packaging already in usr/share/gnome-control-center/keybindings. - Remove the gconf keys install. MISC: - branch for gsettings compiz g-c-c integration: lp:~compiz-team/compiz/compiz.gnome-control-center-integration - Mirv has some updates .convert files for compiz for the g-c-c keys. lp:~timo-jyrinki/compiz/metacity-key-migrations Both should be merged. - lp:~didrocks/unity/gsettings-transition already contains the backport for removing gconf the .convert unity files and g-c-c integration. (bzr merge). Nothing is normally needed. TESTING THE MIGRATION: 1. have the old g-c-c, change unity values in it (launcher size, hide mode…), change keybindings (a lot of them in different categories, launcher, navigation… like changing workspace keys) 2. install new g-c-c (lp:~ubuntu-desktop/gnome-control-center/ubuntu), compiz, unity with all the settings migration 3. logout/login 4. check that the keys are transitionned to the new system: launcher size/hide mode are the changed values and corresponds and the values are shown in the new g-c-c. Same thing with the changed keybidings. Porting compiz and so unity to gsettings has a lot of consequences: - compiz:   * remove the conffile for 2nd (autologin) fallback mechanism   * build with gsettings support   * add migration scripts   * add xml files for the g-c-c integration (we used the metacity ones before) - unity :   * gconf -> gsettings patches (2)   * rebuild with the new gsettings compiz   * add transitional packages for all unity-2d packages   * add migration scripts - nux:   * remove the X11 Xsession.d detection script - gnome-control-center:  * should be ported in both the keyboard part by reverting the gsettings revert patch  * in the unity background configuration panels to support gsettings  * in the display configuration panels to support gsettings - gnome-settings-daemon to drop the gsettings revert patch: - metacity should be updated to >> 2.34.2 (gsettings integration, shared with compiz). Sync back with debian, demote to universe -> this forces us to drop a lot of patches to make unity-2d running - consequently, dropping unity-2d because of metacity patches won't be ported, and unity-2d isn't maintained to port from gconf to gsettings:. Removal from the archive - lightdm to transition people from unity-2d to unity-3d session - unity-greeter to drop hardware detection capability for nux - gnome-session to drop the unity-2d session and recommends - release-upgrader in precise to detect if the card can't run unity-3d, and if so, show a warning to tell to stay on the LTS - ubuntu-desktop seed to remove dep on unity-2d People forcing the upgrade or installing on a machine without hardware acceleration will then use unity with llvmpipe. --------------- WHAT IS REMAINING: ubuntu-release-upgrade -> we will deal that with mvo later on. all above components that are fix commited (apart unity): - bzr pull the vcs, release and dput it - metacity to sync with debian Unity: Take lp:~didrocks/unity/gsettings-transition as the packaging branch - build with latest compiz, check compiz version for build-dep (already bumped, but check if not shipped in a new tarball) - (activate the gsettings switch in debian/rules <- is enabled by default) ensure that the schemas are installed in the same package that the gconf keys were. Remove the gconf keys install. - check that I ship correctly the .convert script and bump if needed the dep from unityc-ommon to compiz-gnome (already bumped, but check if not shipped in a new tarball) Compiz: packaging branches lp:~didrocks/compiz/gsettings-transition / lp:~timo-jyrinki/compiz/ubuntu_quantal (against trunk) / lp:~timo-jyrinki/compiz/ubuntu_ccs_gnome_integration_gsettings (merging in all the branches not yet in trunk) - merge all the gsettings branches to lp:compiz (create a new snapshot tarball?), ensure they have the xml for g-c-c ones as well. The g-c-c xml files should be installed and handled by the packaging already in usr/share/gnome-control-center/keybindings. - Remove the gconf keys install. MISC: - branch for gsettings compiz g-c-c integration: lp:~compiz-team/compiz/compiz.gnome-control-center-integration - Mirv has some updates .convert files for compiz for the g-c-c keys. lp:~timo-jyrinki/compiz/metacity-key-migrations Both should be merged. - lp:~didrocks/unity/gsettings-transition already contains the backport for removing gconf the .convert unity files and g-c-c integration. (bzr merge). Nothing is normally needed. TESTING THE MIGRATION: 1. have the old g-c-c, change unity values in it (launcher size, hide mode…), change keybindings (a lot of them in different categories, launcher, navigation… like changing workspace keys) 2. install new g-c-c (lp:~ubuntu-desktop/gnome-control-center/ubuntu), compiz, unity with all the settings migration 3. logout/login 4. check that the keys are transitionned to the new system: launcher size/hide mode are the changed values and corresponds and the values are shown in the new g-c-c. Same thing with the changed keybidings.
2012-08-17 14:22:32 Timo Jyrinki description Porting compiz and so unity to gsettings has a lot of consequences: - compiz:   * remove the conffile for 2nd (autologin) fallback mechanism   * build with gsettings support   * add migration scripts   * add xml files for the g-c-c integration (we used the metacity ones before) - unity :   * gconf -> gsettings patches (2)   * rebuild with the new gsettings compiz   * add transitional packages for all unity-2d packages   * add migration scripts - nux:   * remove the X11 Xsession.d detection script - gnome-control-center:  * should be ported in both the keyboard part by reverting the gsettings revert patch  * in the unity background configuration panels to support gsettings  * in the display configuration panels to support gsettings - gnome-settings-daemon to drop the gsettings revert patch: - metacity should be updated to >> 2.34.2 (gsettings integration, shared with compiz). Sync back with debian, demote to universe -> this forces us to drop a lot of patches to make unity-2d running - consequently, dropping unity-2d because of metacity patches won't be ported, and unity-2d isn't maintained to port from gconf to gsettings:. Removal from the archive - lightdm to transition people from unity-2d to unity-3d session - unity-greeter to drop hardware detection capability for nux - gnome-session to drop the unity-2d session and recommends - release-upgrader in precise to detect if the card can't run unity-3d, and if so, show a warning to tell to stay on the LTS - ubuntu-desktop seed to remove dep on unity-2d People forcing the upgrade or installing on a machine without hardware acceleration will then use unity with llvmpipe. --------------- WHAT IS REMAINING: ubuntu-release-upgrade -> we will deal that with mvo later on. all above components that are fix commited (apart unity): - bzr pull the vcs, release and dput it - metacity to sync with debian Unity: Take lp:~didrocks/unity/gsettings-transition as the packaging branch - build with latest compiz, check compiz version for build-dep (already bumped, but check if not shipped in a new tarball) - (activate the gsettings switch in debian/rules <- is enabled by default) ensure that the schemas are installed in the same package that the gconf keys were. Remove the gconf keys install. - check that I ship correctly the .convert script and bump if needed the dep from unityc-ommon to compiz-gnome (already bumped, but check if not shipped in a new tarball) Compiz: packaging branches lp:~didrocks/compiz/gsettings-transition / lp:~timo-jyrinki/compiz/ubuntu_quantal (against trunk) / lp:~timo-jyrinki/compiz/ubuntu_ccs_gnome_integration_gsettings (merging in all the branches not yet in trunk) - merge all the gsettings branches to lp:compiz (create a new snapshot tarball?), ensure they have the xml for g-c-c ones as well. The g-c-c xml files should be installed and handled by the packaging already in usr/share/gnome-control-center/keybindings. - Remove the gconf keys install. MISC: - branch for gsettings compiz g-c-c integration: lp:~compiz-team/compiz/compiz.gnome-control-center-integration - Mirv has some updates .convert files for compiz for the g-c-c keys. lp:~timo-jyrinki/compiz/metacity-key-migrations Both should be merged. - lp:~didrocks/unity/gsettings-transition already contains the backport for removing gconf the .convert unity files and g-c-c integration. (bzr merge). Nothing is normally needed. TESTING THE MIGRATION: 1. have the old g-c-c, change unity values in it (launcher size, hide mode…), change keybindings (a lot of them in different categories, launcher, navigation… like changing workspace keys) 2. install new g-c-c (lp:~ubuntu-desktop/gnome-control-center/ubuntu), compiz, unity with all the settings migration 3. logout/login 4. check that the keys are transitionned to the new system: launcher size/hide mode are the changed values and corresponds and the values are shown in the new g-c-c. Same thing with the changed keybidings. Porting compiz and so unity to gsettings has a lot of consequences: - compiz:   * remove the conffile for 2nd (autologin) fallback mechanism   * build with gsettings support   * add migration scripts   * add xml files for the g-c-c integration (we used the metacity ones before) - unity :   * gconf -> gsettings patches (2)   * rebuild with the new gsettings compiz   * add transitional packages for all unity-2d packages   * add migration scripts - nux:   * remove the X11 Xsession.d detection script - gnome-control-center:  * should be ported in both the keyboard part by reverting the gsettings revert patch  * in the unity background configuration panels to support gsettings  * in the display configuration panels to support gsettings - gnome-settings-daemon to drop the gsettings revert patch: - metacity should be updated to >> 2.34.2 (gsettings integration, shared with compiz). Sync back with debian, demote to universe -> this forces us to drop a lot of patches to make unity-2d running - consequently, dropping unity-2d because of metacity patches won't be ported, and unity-2d isn't maintained to port from gconf to gsettings:. Removal from the archive - lightdm to transition people from unity-2d to unity-3d session - unity-greeter to drop hardware detection capability for nux - gnome-session to drop the unity-2d session and recommends - release-upgrader in precise to detect if the card can't run unity-3d, and if so, show a warning to tell to stay on the LTS - ubuntu-desktop seed to remove dep on unity-2d People forcing the upgrade or installing on a machine without hardware acceleration will then use unity with llvmpipe. --------------- WHAT IS REMAINING: ubuntu-release-upgrade -> we will deal that with mvo later on. all above components that are fix commited (apart unity): - bzr pull the vcs, release and dput it - metacity to sync with debian Unity: Take lp:~didrocks/unity/gsettings-transition as the packaging branch - build with latest compiz, check compiz version for build-dep (already bumped, but check if not shipped in a new tarball) - (activate the gsettings switch in debian/rules <- is enabled by default) ensure that the schemas are installed in the same package that the gconf keys were. Remove the gconf keys install. - check that I ship correctly the .convert script and bump if needed the dep from unityc-ommon to compiz-gnome (already bumped, but check if not shipped in a new tarball) Compiz: packaging branches lp:~didrocks/compiz/gsettings-transition / lp:~timo-jyrinki/compiz/ubuntu_quantal_trunk (against trunk) / lp:~timo-jyrinki/compiz/ubuntu_quantal (merging in all the branches not yet in trunk) - merge all the gsettings branches to lp:compiz (create a new snapshot tarball?), ensure they have the xml for g-c-c ones as well. The g-c-c xml files should be installed and handled by the packaging already in usr/share/gnome-control-center/keybindings. - Remove the gconf keys install. MISC: - branch for gsettings compiz g-c-c integration: lp:~compiz-team/compiz/compiz.gnome-control-center-integration - Mirv has some updates .convert files for compiz for the g-c-c keys. lp:~timo-jyrinki/compiz/metacity-key-migrations Both should be merged. - lp:~didrocks/unity/gsettings-transition already contains the backport for removing gconf the .convert unity files and g-c-c integration. (bzr merge). Nothing is normally needed. TESTING THE MIGRATION: 1. have the old g-c-c, change unity values in it (launcher size, hide mode…), change keybindings (a lot of them in different categories, launcher, navigation… like changing workspace keys) 2. install new g-c-c (lp:~ubuntu-desktop/gnome-control-center/ubuntu), compiz, unity with all the settings migration 3. logout/login 4. check that the keys are transitionned to the new system: launcher size/hide mode are the changed values and corresponds and the values are shown in the new g-c-c. Same thing with the changed keybidings.
2012-08-17 14:29:20 Timo Jyrinki description Porting compiz and so unity to gsettings has a lot of consequences: - compiz:   * remove the conffile for 2nd (autologin) fallback mechanism   * build with gsettings support   * add migration scripts   * add xml files for the g-c-c integration (we used the metacity ones before) - unity :   * gconf -> gsettings patches (2)   * rebuild with the new gsettings compiz   * add transitional packages for all unity-2d packages   * add migration scripts - nux:   * remove the X11 Xsession.d detection script - gnome-control-center:  * should be ported in both the keyboard part by reverting the gsettings revert patch  * in the unity background configuration panels to support gsettings  * in the display configuration panels to support gsettings - gnome-settings-daemon to drop the gsettings revert patch: - metacity should be updated to >> 2.34.2 (gsettings integration, shared with compiz). Sync back with debian, demote to universe -> this forces us to drop a lot of patches to make unity-2d running - consequently, dropping unity-2d because of metacity patches won't be ported, and unity-2d isn't maintained to port from gconf to gsettings:. Removal from the archive - lightdm to transition people from unity-2d to unity-3d session - unity-greeter to drop hardware detection capability for nux - gnome-session to drop the unity-2d session and recommends - release-upgrader in precise to detect if the card can't run unity-3d, and if so, show a warning to tell to stay on the LTS - ubuntu-desktop seed to remove dep on unity-2d People forcing the upgrade or installing on a machine without hardware acceleration will then use unity with llvmpipe. --------------- WHAT IS REMAINING: ubuntu-release-upgrade -> we will deal that with mvo later on. all above components that are fix commited (apart unity): - bzr pull the vcs, release and dput it - metacity to sync with debian Unity: Take lp:~didrocks/unity/gsettings-transition as the packaging branch - build with latest compiz, check compiz version for build-dep (already bumped, but check if not shipped in a new tarball) - (activate the gsettings switch in debian/rules <- is enabled by default) ensure that the schemas are installed in the same package that the gconf keys were. Remove the gconf keys install. - check that I ship correctly the .convert script and bump if needed the dep from unityc-ommon to compiz-gnome (already bumped, but check if not shipped in a new tarball) Compiz: packaging branches lp:~didrocks/compiz/gsettings-transition / lp:~timo-jyrinki/compiz/ubuntu_quantal_trunk (against trunk) / lp:~timo-jyrinki/compiz/ubuntu_quantal (merging in all the branches not yet in trunk) - merge all the gsettings branches to lp:compiz (create a new snapshot tarball?), ensure they have the xml for g-c-c ones as well. The g-c-c xml files should be installed and handled by the packaging already in usr/share/gnome-control-center/keybindings. - Remove the gconf keys install. MISC: - branch for gsettings compiz g-c-c integration: lp:~compiz-team/compiz/compiz.gnome-control-center-integration - Mirv has some updates .convert files for compiz for the g-c-c keys. lp:~timo-jyrinki/compiz/metacity-key-migrations Both should be merged. - lp:~didrocks/unity/gsettings-transition already contains the backport for removing gconf the .convert unity files and g-c-c integration. (bzr merge). Nothing is normally needed. TESTING THE MIGRATION: 1. have the old g-c-c, change unity values in it (launcher size, hide mode…), change keybindings (a lot of them in different categories, launcher, navigation… like changing workspace keys) 2. install new g-c-c (lp:~ubuntu-desktop/gnome-control-center/ubuntu), compiz, unity with all the settings migration 3. logout/login 4. check that the keys are transitionned to the new system: launcher size/hide mode are the changed values and corresponds and the values are shown in the new g-c-c. Same thing with the changed keybidings. Porting compiz and so unity to gsettings has a lot of consequences: - compiz:   * remove the conffile for 2nd (autologin) fallback mechanism   * build with gsettings support   * add migration scripts   * add xml files for the g-c-c integration (we used the metacity ones before) - unity :   * gconf -> gsettings patches (2)   * rebuild with the new gsettings compiz   * add transitional packages for all unity-2d packages   * add migration scripts - nux:   * remove the X11 Xsession.d detection script - gnome-control-center:  * should be ported in both the keyboard part by reverting the gsettings revert patch  * in the unity background configuration panels to support gsettings  * in the display configuration panels to support gsettings - gnome-settings-daemon to drop the gsettings revert patch: - metacity should be updated to >> 2.34.2 (gsettings integration, shared with compiz). Sync back with debian, demote to universe -> this forces us to drop a lot of patches to make unity-2d running - consequently, dropping unity-2d because of metacity patches won't be ported, and unity-2d isn't maintained to port from gconf to gsettings:. Removal from the archive - lightdm to transition people from unity-2d to unity-3d session - unity-greeter to drop hardware detection capability for nux - gnome-session to drop the unity-2d session and recommends - release-upgrader in precise to detect if the card can't run unity-3d, and if so, show a warning to tell to stay on the LTS - ubuntu-desktop seed to remove dep on unity-2d People forcing the upgrade or installing on a machine without hardware acceleration will then use unity with llvmpipe. --------------- WHAT IS REMAINING: ubuntu-release-upgrade -> we will deal that with mvo later on. all above components that are fix commited (apart unity): - bzr pull the vcs, release and dput it - metacity to sync with debian Unity: Packaging branches lp:~didrocks/unity/gsettings-transition -> continued at lp:~timo-jyrinki/unity/gsettings-transition - build with latest compiz, check compiz version for build-dep (already bumped, but check if not shipped in a new tarball) - (activate the gsettings switch in debian/rules <- is enabled by default) ensure that the schemas are installed in the same package that the gconf keys were. Remove the gconf keys install. - check that I ship correctly the .convert script and bump if needed the dep from unityc-ommon to compiz-gnome (already bumped, but check if not shipped in a new tarball) Compiz: packaging branches lp:~didrocks/compiz/gsettings-transition -> continued at lp:~timo-jyrinki/compiz/ubuntu_quantal_trunk (against trunk) / lp:~timo-jyrinki/compiz/ubuntu_quantal (merged in all the branches not yet in trunk, and additional changes) - merge all the gsettings branches to lp:compiz (create a new snapshot tarball?), ensure they have the xml for g-c-c ones as well. The g-c-c xml files should be installed and handled by the packaging already in usr/share/gnome-control-center/keybindings. <- taken care in lp:~timo-jyrinki/compiz/ubuntu_quantal MISC: - branch for gsettings compiz g-c-c integration: lp:~compiz-team/compiz/compiz.gnome-control-center-integration - Mirv has some updates .convert files for compiz for the g-c-c keys. lp:~timo-jyrinki/compiz/metacity-key-migrations Both should be merged. - lp:~didrocks/unity/gsettings-transition already contains the backport for removing gconf the .convert unity files and g-c-c integration. (bzr merge). Nothing is normally needed. - PPA including all of above: https://launchpad.net/~timo-jyrinki/+archive/compiz-gsettings-test/+packages TESTING THE MIGRATION: 1. have the old g-c-c, change unity values in it (launcher size, hide mode…), change keybindings (a lot of them in different categories, launcher, navigation… like changing workspace keys) 2. install new g-c-c (lp:~ubuntu-desktop/gnome-control-center/ubuntu), compiz, unity with all the settings migration 3. logout/login 4. check that the keys are transitionned to the new system: launcher size/hide mode are the changed values and corresponds and the values are shown in the new g-c-c. Same thing with the changed keybidings.
2012-08-22 10:44:52 Timo Jyrinki description Porting compiz and so unity to gsettings has a lot of consequences: - compiz:   * remove the conffile for 2nd (autologin) fallback mechanism   * build with gsettings support   * add migration scripts   * add xml files for the g-c-c integration (we used the metacity ones before) - unity :   * gconf -> gsettings patches (2)   * rebuild with the new gsettings compiz   * add transitional packages for all unity-2d packages   * add migration scripts - nux:   * remove the X11 Xsession.d detection script - gnome-control-center:  * should be ported in both the keyboard part by reverting the gsettings revert patch  * in the unity background configuration panels to support gsettings  * in the display configuration panels to support gsettings - gnome-settings-daemon to drop the gsettings revert patch: - metacity should be updated to >> 2.34.2 (gsettings integration, shared with compiz). Sync back with debian, demote to universe -> this forces us to drop a lot of patches to make unity-2d running - consequently, dropping unity-2d because of metacity patches won't be ported, and unity-2d isn't maintained to port from gconf to gsettings:. Removal from the archive - lightdm to transition people from unity-2d to unity-3d session - unity-greeter to drop hardware detection capability for nux - gnome-session to drop the unity-2d session and recommends - release-upgrader in precise to detect if the card can't run unity-3d, and if so, show a warning to tell to stay on the LTS - ubuntu-desktop seed to remove dep on unity-2d People forcing the upgrade or installing on a machine without hardware acceleration will then use unity with llvmpipe. --------------- WHAT IS REMAINING: ubuntu-release-upgrade -> we will deal that with mvo later on. all above components that are fix commited (apart unity): - bzr pull the vcs, release and dput it - metacity to sync with debian Unity: Packaging branches lp:~didrocks/unity/gsettings-transition -> continued at lp:~timo-jyrinki/unity/gsettings-transition - build with latest compiz, check compiz version for build-dep (already bumped, but check if not shipped in a new tarball) - (activate the gsettings switch in debian/rules <- is enabled by default) ensure that the schemas are installed in the same package that the gconf keys were. Remove the gconf keys install. - check that I ship correctly the .convert script and bump if needed the dep from unityc-ommon to compiz-gnome (already bumped, but check if not shipped in a new tarball) Compiz: packaging branches lp:~didrocks/compiz/gsettings-transition -> continued at lp:~timo-jyrinki/compiz/ubuntu_quantal_trunk (against trunk) / lp:~timo-jyrinki/compiz/ubuntu_quantal (merged in all the branches not yet in trunk, and additional changes) - merge all the gsettings branches to lp:compiz (create a new snapshot tarball?), ensure they have the xml for g-c-c ones as well. The g-c-c xml files should be installed and handled by the packaging already in usr/share/gnome-control-center/keybindings. <- taken care in lp:~timo-jyrinki/compiz/ubuntu_quantal MISC: - branch for gsettings compiz g-c-c integration: lp:~compiz-team/compiz/compiz.gnome-control-center-integration - Mirv has some updates .convert files for compiz for the g-c-c keys. lp:~timo-jyrinki/compiz/metacity-key-migrations Both should be merged. - lp:~didrocks/unity/gsettings-transition already contains the backport for removing gconf the .convert unity files and g-c-c integration. (bzr merge). Nothing is normally needed. - PPA including all of above: https://launchpad.net/~timo-jyrinki/+archive/compiz-gsettings-test/+packages TESTING THE MIGRATION: 1. have the old g-c-c, change unity values in it (launcher size, hide mode…), change keybindings (a lot of them in different categories, launcher, navigation… like changing workspace keys) 2. install new g-c-c (lp:~ubuntu-desktop/gnome-control-center/ubuntu), compiz, unity with all the settings migration 3. logout/login 4. check that the keys are transitionned to the new system: launcher size/hide mode are the changed values and corresponds and the values are shown in the new g-c-c. Same thing with the changed keybidings. Porting compiz and so unity to gsettings has a lot of consequences: - compiz:   * remove the conffile for 2nd (autologin) fallback mechanism   * build with gsettings support   * add migration scripts   * add xml files for the g-c-c integration (we used the metacity ones before) - unity :   * gconf -> gsettings patches (2)   * rebuild with the new gsettings compiz   * add transitional packages for all unity-2d packages   * add migration scripts - nux:   * remove the X11 Xsession.d detection script - gnome-control-center:  * should be ported in both the keyboard part by reverting the gsettings revert patch  * in the unity background configuration panels to support gsettings  * in the display configuration panels to support gsettings - gnome-settings-daemon to drop the gsettings revert patch: - metacity should be updated to >> 2.34.2 (gsettings integration, shared with compiz). Sync back with debian, demote to universe -> this forces us to drop a lot of patches to make unity-2d running - consequently, dropping unity-2d because of metacity patches won't be ported, and unity-2d isn't maintained to port from gconf to gsettings:. Removal from the archive - lightdm to transition people from unity-2d to unity-3d session - unity-greeter to drop hardware detection capability for nux - gnome-session to drop the unity-2d session and recommends - release-upgrader in precise to detect if the card can't run unity-3d, and if so, show a warning to tell to stay on the LTS - ubuntu-desktop seed to remove dep on unity-2d People forcing the upgrade or installing on a machine without hardware acceleration will then use unity with llvmpipe. --------------- WHAT IS REMAINING: ubuntu-release-upgrade -> we will deal that with mvo later on. all above components that are fix commited (apart unity): - bzr pull the vcs, release and dput it - metacity to sync with debian Unity: Packaging branches lp:~didrocks/unity/gsettings-transition -> continued at lp:~timo-jyrinki/unity/gsettings-transition2 - build with latest compiz, check compiz version for build-dep (already bumped, but check if not shipped in a new tarball) - check that I ship correctly the .convert script and bump if needed the dep from unityc-ommon to compiz-gnome (already bumped, but check if not shipped in a new tarball) Compiz: packaging branches lp:~timo-jyrinki/compiz/ubuntu_quantal_trunk (against trunk) -> pushed to lp:ubuntu/compiz now / lp:~timo-jyrinki/compiz/ubuntu_quantal (merged in all the branches not yet in trunk, and additional changes) - merge all the gsettings branches to lp:compiz MISC: - PPA including all of above: https://launchpad.net/~timo-jyrinki/+archive/prerelease TESTING THE MIGRATION: 1. have the old g-c-c, change unity values in it (launcher size, hide mode…), change keybindings (a lot of them in different categories, launcher, navigation… like changing workspace keys) 2. install new g-c-c (lp:~ubuntu-desktop/gnome-control-center/ubuntu), compiz, unity with all the settings migration 3. logout/login 4. check that the keys are transitionned to the new system: launcher size/hide mode are the changed values and corresponds and the values are shown in the new g-c-c. Same thing with the changed keybidings.
2012-08-23 04:11:43 Jeremy Bicha bug added subscriber Jeremy Bicha
2012-08-23 05:26:31 Daniel van Vugt compiz: milestone 0.9.8.0 0.9.8.1
2012-08-23 15:49:52 Launchpad Janitor branch linked lp:ubuntu/quantal-proposed/gnome-settings-daemon
2012-08-23 15:57:29 Launchpad Janitor branch linked lp:~ubuntu-branches/ubuntu/quantal/metacity/quantal-proposed
2012-08-23 16:00:31 Launchpad Janitor branch linked lp:ubuntu/quantal-proposed/gnome-control-center
2012-08-23 21:51:09 Launchpad Janitor gnome-control-center (Ubuntu): status Fix Committed Fix Released
2012-08-23 21:51:14 Launchpad Janitor compiz (Ubuntu): status Triaged Fix Released
2012-08-23 21:51:59 Launchpad Janitor unity (Ubuntu): status Fix Committed Fix Released
2012-08-23 21:52:06 Launchpad Janitor gnome-settings-daemon (Ubuntu): status Fix Committed Fix Released
2012-08-24 02:33:11 Launchpad Janitor metacity (Ubuntu): status Fix Committed Fix Released
2012-08-24 03:18:12 Launchpad Janitor branch linked lp:ubuntu/metacity
2012-08-29 12:55:09 Launchpad Janitor ubuntu-release-upgrader (Ubuntu): status Fix Committed Fix Released
2012-08-29 13:18:48 Launchpad Janitor branch linked lp:ubuntu/ubuntu-release-upgrader
2012-09-10 06:31:54 Sam Spilsbury compiz: milestone 0.9.8.2 0.9.8.4
2012-09-10 09:25:06 Sam Spilsbury compiz: status Confirmed Fix Committed
2012-09-28 05:12:12 Daniel van Vugt compiz: status Fix Committed Fix Released
2013-01-28 14:55:18 Eliah Kagan bug added subscriber Eliah Kagan